"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const cli_ux_1 = tslib_1.__importDefault(require("cli-ux"));
const api_1 = require("../api");
class Teams extends command_1.Command {
    async run() {
        if (!api_1.APIClient.enterprise) {
            return this.log('Teams command only works on HackMD EE instance');
        }
        try {
            const teams = await api_1.APIClient.getTeams();
            cli_ux_1.default.table(teams, {
                path: {
                    header: 'Path',
                },
                name: {}
            }, Object.assign({ printLine: this.log }, command_1.flags));
        }
        catch (err) {
            this.log('Fetch teams failed');
            this.error(err);
        }
    }
}
exports.default = Teams;
Teams.description = 'HackMD Teams Command';
Teams.examples = [
    `$ hackmd-cli teams

Path            Name
team1           Team 1
my-awesome-team My Awesome Team`,
];
Teams.flags = Object.assign({ help: command_1.flags.help({ char: 'h' }) }, cli_ux_1.default.table.flags());
