"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("fs-extra"));
async function pipeToFile(stream, output) {
    const fileStream = fs.createWriteStream(output);
    await new Promise((resolve, reject) => {
        if (!stream) {
            return reject('No stream given');
        }
        stream.pipe(fileStream);
        stream.on('error', (err) => {
            reject(err);
        });
        fileStream.on('finish', function () {
            resolve();
        });
    });
}
exports.pipeToFile = pipeToFile;
